about summary refs log tree commit diff stats
path: root/modules/home/conf/xdg/url_handler.sh
diff options
context:
space:
mode:
authorBenedikt Peetz <benedikt.peetz@b-peetz.de>2024-05-23 13:31:11 +0200
committerBenedikt Peetz <benedikt.peetz@b-peetz.de>2024-05-23 13:33:40 +0200
commitfd9b0ecef4142a62b45404700ba1cff488f84a73 (patch)
treeef6c1f74f05a2220a41ccff4b0890c39229f32f7 /modules/home/conf/xdg/url_handler.sh
parentrefactor(pkgs): Categorize into `by-name` shards (diff)
downloadnixos-config-fd9b0ecef4142a62b45404700ba1cff488f84a73.zip
refactor(modules/home): Setup as "normal" NixOS module
Diffstat (limited to 'modules/home/conf/xdg/url_handler.sh')
-rwxr-xr-xmodules/home/conf/xdg/url_handler.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/modules/home/conf/xdg/url_handler.sh b/modules/home/conf/xdg/url_handler.sh
new file mode 100755
index 00000000..95eedffb
--- /dev/null
+++ b/modules/home/conf/xdg/url_handler.sh
@@ -0,0 +1,18 @@
+#!/usr/bin/env dash
+
+# shellcheck source=/dev/null
+SHELL_LIBRARY_VERSION="2.1.2" . %SHELL_LIBRARY_PATH
+
+project="$(echo "%ALL_PROJECTS_PIPE|nvim|zathura|" | rofi -sep "|" -dmenu)"
+
+if [ "$project" = "nvim" ]; then
+    "$TERMINAL" -e nvim "$1"
+elif [ "$project" = "zathura" ]; then
+    zathura "$1"
+elif [ "$project" ]; then
+    firefox -P "$project" "$1"
+else
+    notify-send "(URL HANDLER) No project selected" && exit 1
+fi
+
+# vim: ft=sh